rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
pgpPktCdata_s Struct Reference
RPMPGP.

5.6. More...

`#include <rpmio/rpmpgp.h>`

## Data Fields

rpmuint8_t | compressalgo
rpmuint8_t | data [1]

## Detailed Description

5.6.

Compressed Data Packet (Tag 8)

The Compressed Data packet contains compressed data. Typically, this packet is found as the contents of an encrypted packet, or following a Signature or One-Pass Signature packet, and contains literal data packets.

The body of this packet consists of:

- One octet that gives the algorithm used to compress the packet.
- The remainder of the packet is compressed data.

A Compressed Data Packet's body contains an block that compresses some set of packets. See section "Packet Composition" for details on how messages are formed.

ZIP-compressed packets are compressed with raw RFC 1951 DEFLATE blocks. Note that PGP V2.6 uses 13 bits of compression. If an implementation uses more bits of compression, PGP V2.6 cannot decompress it.

ZLIB-compressed packets are compressed with RFC 1950 ZLIB-style blocks.

Definition at line 839 of file rpmpgp.h.

## Field Documentation

rpmuint8_t pgpPktCdata_s::compressalgo

Definition at line 840 of file rpmpgp.h.

rpmuint8_t pgpPktCdata_s::data[1]

Definition at line 841 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h